Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support
Class GroovyUtils

    java.lang.Object
      com.eviware.soapui.support.GroovyUtils

    public final class GroovyUtils

extends java.lang.Object

Constructor Summary
`GroovyUtils(TestRunContext context)`

Method Summary
`java.lang.String` | `expand(java.lang.String property)`
`java.lang.String` | `getProjectPath()`
`java.lang.String` | `getXml(org.w3c.dom.Node node)`
`XmlHolder` | `getXmlHolder(java.lang.String xmlPropertyOrString)`
`void` | `setPropertyValue(java.lang.String testStep, java.lang.String property, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyUtils

    public GroovyUtils(TestRunContext context)

Method Detail

### getProjectPath

    public java.lang.String getProjectPath()

### getXmlHolder

    public XmlHolder getXmlHolder(java.lang.String xmlPropertyOrString)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### expand

    public java.lang.String expand(java.lang.String property)

### setPropertyValue

    public void setPropertyValue(java.lang.String testStep,
                                 java.lang.String property,
                                 java.lang.String value)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getXml

    public java.lang.String getXml(org.w3c.dom.Node node)
                            throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.